cURL
curl --request GET \
--url https://api.useconquest.com/v1/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useconquest.com/v1/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useconquest.com/v1/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"pageSize": 10,
"totalActivities": 1235,
"activities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"title": "<string>",
"message": "<string>",
"replyTo": "<string>",
"reactTo": "<string>",
"inviteTo": "<string>",
"source": "Api",
"activityTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "BAD_REQUEST",
"error": "Invalid request"
}{
"code": "UNAUTHORIZED",
"error": "Authentication failed"
}{
"code": "NOT_FOUND",
"error": "Resource not found"
}Activities
List activities
List all activities from your workspace
GET
/
v1
/
activities
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
Number of activities per page
Required range:
10 <= x <= 100⌘I